@charset "UTF-8";

/* CSS Document */
.header {
    width: 100%;
    height: auto;
    position: fixed;
    top: 0;
    z-index: 10;
}

.header .tophd {
    width: 100%;
    height: auto;
    min-height: 60px;
    box-shadow: 0px 0px 8.4px 5px rgba(0, 0, 0, 0.16);
    overflow: hidden;
    display: flex;
    justify-content: space-between;
    padding: 0.3% 0px;
    backdrop-filter: blur(0.5rem);
    background-color: #000000a3;
    border-bottom: 1px solid #ffffff75;
}

/* 導航左欄 */
.navbar-L {
    color: beige;
    display: flex;
    align-items: center;
    width: 60%;
}

.logo-size {
    width: 100%;
    max-width: 18rem;
    padding-left: 16px;
}

@keyframes line {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/* 導航右欄 */
.navbar-R {
    width: 40%;
    z-index: 101;
}

.navbar-R>div,
.navbar-R>div>div {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 8px;
    padding-right: 16px;
}

.navbar-R .btn {
    /* width: 40%; */
    /* max-width: 80px; */
}

.normal-btn {
    border: 1px solid var(--color-w65) !important;
    color: var(--color-w65);
}

.normal-btn:hover {
    border: 1px solid var(--color-w100) !important;
    color: var(--color-w100) !important;
}

.btn.red-btn {
    background-color: var(--color-btn);
    color: var(--color-w100);
}

.btn.red-btn:hover {
    box-shadow: 1px 0px 8px 1px inset #8d0f01;
    color: var(--color-w100) !important;
}

.bell {
    width: 40px !important;
    display: flex !important;
    align-items: center;
    justify-content: center;
}

.mycash {
    width: auto;
    min-width: 112px;
    display: flex !important;
    align-items: center;
    gap: 4px;
    justify-content: space-evenly;
}

.mycash>span{
    display: flex;
}

/* 導航菜單 */
.centerbox {
    margin: 0 auto;
    width: 70%;
    height: 100%;
    max-width: 1280px;
}

.logo {
    float: left;
    width: 15%;
    height: 100%;
    text-align: right;
    line-height: 55px;
}

.logo>a>img {
    width: 100%;
    vertical-align: middle;
}


.content_all {
    width: 100%;
    max-width: 1600px;
    margin: 0 auto;
    height: auto;
    padding-top: 92px;
}

/* login/register */
.modal {
    backdrop-filter: blur(0.5rem);
    background-color: var(--color-b19);
}

.modal-style-2 {
}

.modal-style-2 .modal-login {
    width: 350px;
    margin: 80px auto 0 auto;
}

.modal-style-2 .modal-login a {
    text-decoration: none !important;
}

.modal-style-2 .modal-login .modal-content {
    padding: 20px;
    border-radius: 5px;
    border: none;
}

.modal-style-2 .modal-login .modal-header {
    border-bottom: none;
    position: relative;
    justify-content: center;
}

.modal-style-2 .modal-login .close {
    position: absolute;
    top: -10px;
    right: 0px;
}

.modal-style-2 .close:focus,
.modal-style-2 .close:active {
    outline: none !important;
    box-shadow: none;
}

.modal-style-2 .modal-login h4 {
    color: var(--style-2-color);
    text-align: center;
    font-size: 18px;
    margin-top: 0;
    border-bottom: 0;
    text-transform: uppercase;
    line-height: 1;
    letter-spacing: 3px;
    font-weight: bold;
}

.modal-style-2 .modal-login .modal-content {
    color: #999;
    margin-bottom: 15px;
    background: #fff;
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
    padding: 25px;
}

.modal-style-2 .modal-login .form-group {
    margin: 16px 0;
}

.modal-style-2 .modal-login label {
    font-weight: normal;
    font-size: 13px;
    margin-top: 16px;
}

.modal-style-2 .modal-login .modal-body {
    padding: 0;
}

.modal-style-2 .modal-login .form-control {
    min-height: 38px;
    padding-left: 5px;
    box-shadow: none !important;
    border-width: 0 0 1px 0;
    border-radius: 0;
    font-size: 13px
}

.modal-style-2 .modal-login .form-control:focus {
    border-color: #ccc;
}

.modal-style-2 .modal-login .input-group-addon {
    min-width: 22px;
    max-width: 42px;
    text-align: center;
    background: none;
    border-width: 0 0 1px 0;
    padding-left: 5px;
    border-radius: 0;
    margin-right: 10px;
    padding-top: 15px;
}

.modal-style-2 .modal-login .btn {
    font-size: 15px;
    font-weight: bold;
    background: var(--color-btn);
    color: var(--color-w100);
    border-radius: 25px;
    border: none;
    min-width: 140px;
    margin: 0 auto;
    padding: 10px;
    outline: none !important;
}

/* .modal-style-2 .modal-login .btn:hover,
.modal-style-2 .modal-login .btn:focus {
    background: var(--style-2-color);
} */
.modal-style-2 input:-internal-autofill-selected {
    background-color: transparent !important;
}

.modal-style-2 .modal-login .hint-text {
    text-align: center;
    padding: 16px 0;
    font-size: 13px;
}

.modal-style-2 .modal-login .modal-footer {
    color: #999;
    border-color: #dee4e7;
    text-align: center;
    margin: 0 -25px -25px;
    font-size: 13px;
    justify-content: center;
}

.modal-style-2 .modal-login a {
    color: #fff;
    text-decoration: underline;
}

.modal-style-2 .modal-login a:hover {
    text-decoration: none;
}

.modal-style-2 .modal-login a {
    color: var(--color-w100);
    text-decoration: none;
}

.modal-style-2 .modal-login a:hover {
    text-decoration: underline;
}

.modal-style-2 .modal-login .fa {
    font-size: 16px;
}

.dark.modal-style-2 .modal-content {
    background: var(--color-nav);
    color: #fff !important;
}

.dark.modal-style-2 .close,
.modal-style-2.dark .modal-login h4 {
    color: #fff !important;
}

.dark.modal-style-2 .modal-login .form-control {
    background: transparent !important;
    color: #fff;
    border-color: #777;
    /* background-color: var(--color-nav); */
}

.dark.modal-style-2 .modal-login .input-group-addon {
    color: #9E9E9E;
}

.dark.modal-style-2 .modal-login .modal-footer {
    border: none;
}

/* .dark.modal-style-2 .modal-login .btn{
    background: #70807e;
} */
.dark .text-danger {
    color: #777 !important;
}

.show-password,
.check-terms {
    display: flex;
    align-items: center;
    gap: 4px;
}

.check-terms {
    gap: 8px;
}

.check-terms a {
    color: var(--color-btn) !important;
}

@media only screen and (max-width: 360px) {
    .modal-style-2 .modal-login {
        width: 100%;
        margin: 5px;
    }

    .modal-style-2 .modal-login form {
        width: 100%;
    }
}

/* footer */
.footer_wrapper {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.decoration-line {
    width: 100%;
    color: var(--color-w65);
}

.footer-nav-box {
    width: 100%;
    max-width: 1600px;
    margin: 0 auto;
    height: auto;
    display: flex;
    justify-content: space-between;
    align-items: baseline;
    flex-wrap: wrap;
    color: var(--color-w65);
}

.footer-nav-box>div {
    width: 50%;
}

.footer-nav-box>p {
    font-size: 0.8rem;
}

.footer_wrapper>.footer-nav-box:last-child {
    align-items: flex-end;
}

/* footer */
/* footer # */

@media screen and (max-width:767px) {
    .content_all {
        padding-top: 75px;
    }

    .h5hide {
        display: none !important;
    }

    .logo-size {
        width: 100%;
        height: auto;
        max-width: 10rem;
    }

    .footer_wrapper {
        padding-bottom: 60px;
    }

    .footer-nav-box>div {
        width: 100%;
    }

    .footer-nav-item {
        flex-direction: column-reverse;
        gap: 8px;
    }

    .footer-nav-item>div:first-child {
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 0 15px;
    }

    .footer_wrapper>.footer-nav-box:last-child {
        padding: 0 16px;
    }
}

@media screen and (min-width:768px) and (max-width:1024px) {

    .banner,
    .gamenav,
    .footer_wrapper {
        width: 98svw;
        margin: 0 auto;
    }

    .footer-nav-item>div:first-child {
        width: 25%;
    }

    .footer-nav-item>div:last-child {
        width: 75%;
    }

    .footer_wrapper {
        padding-bottom: 80px;
    }
}

@media screen and (min-width:1024px) {}